Hi all,
I am a newbie to ruby and gems and rails ..
I have ruby
ruby 1.8.3 (2005-09-21) [i686-linux]

As far as i understand, gem is a package manager. something like rpm.
So I assume that it should be possible to install rails using

1. the tgz and then running rake (I installed rake 0.6.2 )(like
building from source)
2. Download the rails-0.14.3.gem file and then install with gem ( like
installing an rpm from the rpm package)
3. use gem and download and update/install everything from the net. (
This is my last option as my connection keeps going down)

What I did was to first try installing ruby and then rake
successfully,then unzip rails-0.14.3.tgz
and run rake on the Rakefile distributed.
It didnt work ..Got the following errors.

/usr/local/src/rails > rake
(in /usr/local/src/rails)
/usr/local/bin/ruby -Ilib:test
"/usr/local/lib/ruby/site_ruby/1.8/rake/rake_test_loader.rb"
rake aborted!
Test failures


Second I installed rubygems from rubygems-0.8.11.tgz .All i did was to
do
ruby setup.rb
that worked .

But now whenever I type
gem
I get this error

/usr/local/bin/gem:3:in `require': No such file to load -- rubygems
(LoadError)
        from /usr/local/bin/gem:3


Does anyone have a clue.?
Vivek